public string process(List<string> input) {
  return input switch {
    ["apples", .., "bananas"] => $"got some fruits with apples and bananas",
    [.., "oranges"] => $"got some fruits with oranges",
    [.., "oranges", ..] => $"got some fruits with oranges",
    ["apples", ..] => $"got some fruits",
    _ => "whatever"
  };
}

//ERROR, .. at most one

Console.WriteLine(process(new List<string> {"apples"}));
Console.WriteLine(process(new List<string> {"apples", "oranges"}));
Console.WriteLine(process(new List<string> {"apples", "oranges", "bananas"}));
Console.WriteLine(process(new List<string> {"apples", "grapes", "bananas"}));

