public string process(string[] input) {
  return input switch {
    ["apples", .. string[] { Length: 1 } item] => $"got apples plus one fruit {string.Join(",", item)}",
    ["apples", .. var items] => $"got some fruits with apples and {string.Join(", ", items)}",
    _ => "whatever"
  };
}

Console.WriteLine(process(new string[] {"apples"}));
Console.WriteLine(process(new string[] {"apples", "oranges"}));
Console.WriteLine(process(new string[] {"apples", "oranges", "bananas"}));
Console.WriteLine(process(new string[] {"apples", "grapes", "bananas"}));

