public struct Address {
  public Address(int number, string street, string city) {
    Number = number;
    Street = street;
    City = city;
  }

  public int Number { get; init; }
  public string Street { get; init; }
  public string City { get; init; }

  public override string ToString () => $"{Number} {Street} {City}";
}

var address1 = new Address(10, "Main St.", "New York");
var address2 = new Address() { Street = "Smith St." };

Console.WriteLine(address1);
Console.WriteLine(address2);

